    import {Store} from 'tablefilter/src/modules/store.js'

public class | source

# Store

## Constructor Summary

Public Constructor
public | constructor (tf: Object) Store, persistence manager |

## Member Summary

Public Members
public | duration : * |
public | tf : * |

## Method Summary

Public Methods
public | getFilterValues (cookie: String): Array Retrieve filters' values from cookie |
public | getPageLength (cookie: String): String Retrieve page length from cookie |
public | getPageNb (cookie: String): String Retrieve page number from cookie |
public | saveFilterValues (cookie: String) Store filters' values in cookie |
public | savePageLength (cookie: String) Store page length in cookie |
public | savePageNb (cookie: String) Store page number in cookie |

## Public Constructors

### public constructor(tf: Object) source

Store, persistence manager

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance TODO: use localStorage and fallback to cookie persistence

## Public Members

### public duration: * source

### public tf: * source

## Public Methods

### public getFilterValues(cookie: String): Array source

Retrieve filters' values from cookie

#### Params:

Name | Type | Attribute | Description
cookie | String |  | name

#### Return:

Array

### public getPageLength(cookie: String): String source

Retrieve page length from cookie

#### Params:

Name | Type | Attribute | Description
cookie | String |  | name

#### Return:

String

### public getPageNb(cookie: String): String source

Retrieve page number from cookie

#### Params:

Name | Type | Attribute | Description
cookie | String |  | name

#### Return:

String

### public saveFilterValues(cookie: String) source

Store filters' values in cookie

#### Params:

Name | Type | Attribute | Description
cookie | String |  | name

### public savePageLength(cookie: String) source

Store page length in cookie

#### Params:

Name | Type | Attribute | Description
cookie | String |  | name

### public savePageNb(cookie: String) source

Store page number in cookie

#### Params:

Name | Type | Attribute | Description
cookie | String |  | name